body {
  margin: 0;
  padding: 0;
  font-family: Montserrat, sans-serif;
  color: #141414;
}

#primary-container {
  position: relative;
  width: 100vw;
  height: 100vh;
}

#map {
  width: 100%;
  height: 100%;
}

#sf-container {
  position: absolute;
  top: 2vh;
  left: 2vh;
  z-index: 1000000;
  width: max-content;
}

#sf-container h1 {
  font-size: 2.5vh;
  margin-right: 1vh;
}

#sf-bar {
  padding: 0.5vh;
  border-radius: 5vh;
  background-color: white;
  display: flex;
  align-items: center;
}

#sf-bar img {
  width: 2vh;
  height: auto;
  margin: 0.5vh;
}

#search-dropdown-container {
  position: relative;
  height: 3.5vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

#dropdown-arrow {
  cursor: pointer;
}

#dropdown-arrow:hover {
  opacity: 0.6;
}

#filter-dropdown {
  display: none;
  flex-direction: column;
  align-items: baseline;
  position: absolute;
  top: 4.5vh;
  left: 0;
  background-color: white;
  color: #141414;
  width: max-content;
  z-index: 100000;
}

#filter-dropdown p {
  margin: 2vh;
}

#filter-dropdown option {
  padding: 2vh;
  cursor: pointer;
}

#filter-dropdown div {
  width: 100%;
}

#filter-dropdown option:hover {
  background-color: #62a6e3;
  color: white;
}

.active-filter {
  background-color: #458BC9;
  color: white;
  font-weight: bold;
}

#search-container {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 100%;
  background-color: rgb(40,78,120,0.9);
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  border-radius: 4vh;
  padding: 1vh 1vh;
  color: white;
}

#search-container h1 {
  margin: 0;
}

#content-container {
  display: none;
  position: absolute;
  top: 1.5vh;
  right: 1.5vh;
  min-width: 45vw;
  max-width: 55vw;
  width: max-content;
  background-color: rgb(255,255,255,0.9);
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  padding: 2.5vh 0;
  z-index: 10000000000;
}

/* #popup-container {
  display: none;
  align-items: center;
  justify-content: space-around;
  width: 100vw;
  height: 100vh;
  position: absolute;
  left: 0;
  top: 0;
} */

#popup-subcontainer {
  background-color: white;
  width: 30vw;
  padding: 5vh;
  text-align: center;
  display: block;
  top: 50vh;
  left: 15vh;
  position: absolute;
}

#dynamic-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-height: 90vh;
}

#middle-container {
  display: flex;
  align-items: center;
  justify-content: space-around;
}

#middle-container select {
  padding: 1.5vh;
  font-size: 2.5vh;
  border: 1px solid #ccc;
  width: 100%;
  background-color: #284E78;
  font-weight: bold;
  color: white;
  cursor: pointer;
  text-align: center;
}

#middle-container option {
  padding: 1.5vh;
}

#middle-container select:hover {
  background-color: #0f3661;
  box-shadow: 0 0 1vh rgb(0,0,0,0.1);
}

#download-button {
  padding: 8px;
  font-size: 16px;
  width: 10vw;
  border: 1px solid #ccc;
  background-color: #284E78;
  font-weight: bold;
  color: white;
  cursor: pointer;
  text-align: center;
}

#download-button:hover {
  background-color: #0f3661;
  box-shadow: 0 0 1vh rgb(0,0,0,0.1)
}

#info-container {
  width: 92%;
  height: max-content;
  display: flex;
  flex-direction: column;
  align-items: baseline;
  background-color: #ECEDEC;
  padding: 0;
  margin: 0 auto 2.5vh auto;
}

.info-pair {
  width: 100%;
  height: 6vh;
  display: flex;
  align-items: center;
  justify-content: space-between;
  box-sizing: border-box;
  background-color: #ECEDEC;
  padding: 0;
  margin: 0;
  border: 1px solid white;
}

.info-attribute {
  min-width: 25%;
  width: 25%;
  height: 100%;
  background-color: #458BC9;
  color: white;
  display: flex;
  align-items: center;
  padding: 0 2vh;
  margin: 0;
}

.info-value {
  padding: 2vh 2vh;
  text-align: right;
}

.info-pair a {
  color: black;
}

#search-container input[type="text"] {
  padding: 8px;
  font-size: 2vh;
  border: 1px solid white;
  width: 15vw;
  background-color: white;
  border-top-left-radius: 4vh;
  border-bottom-left-radius: 4vh;
  border-top-right-radius: 4vh;
  border-bottom-right-radius: 4vh;
  height: 1.5vh;
}

#search-container select {
  padding: 8px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 1px;
  width: 200px;
  background-color: #284E78;
  font-weight: bold;
  color: white;
  cursor: pointer;
}

#search-container label {
  margin: 0 10px;
  font-size: 16px;
}

.active {
  background-color: #284E78;
  border-right: 1px solid black;
  border-left: 1px solid black;
  border-bottom: 1px solid #37424F;
  color: white;
  font-weight: bold;
  box-shadow: 0 0 1vh black;
  z-index: 1000;
}

#results-container {
  width: 94%;
  display: flex;
  flex-grow: 1;
  background-color: #ECEDEC;
  margin: 2.5vh 50% 0 52%;
  overflow-y: scroll;
}

.result-column {
  display: flex;
  flex-direction: column;
  width: 100%;
  text-align: center;
}

.result-header {
  background-color: #458BC9;
  min-height: 9vh;
  max-height: 9vh;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-around;
  border-left: 1px solid white;
  border-right: 1px solid white;
}

.result-item {
  padding: 1vh 3vh;
  min-height: 7vh;
  max-height: 7vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
  border-left: 1px solid white;
  border-right: 1px solid white;
  border-bottom: 1px solid #f5f5f5;
}

.result-item a {
  text-decoration: underline;
  cursor: pointer;
}

.hover-reveal {
  cursor: pointer;
}

#loading-block {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

#loading-block img {
  width: 50px;
  height: auto;
  margin: 4vh;
}

#search-suggestion-container {
  position: relative;
}

#suggestions-container {
  position: absolute;
  max-height: 40vh;
  width: 100%;
  overflow-y: scroll;
  background-color: white;
  z-index: 1000;
  box-shadow: 0 0 1vh gray;
  left: 0;
  top: 4.5vh;
  color: #141414
}

.suggestion-item {
  padding: 1vh 2vh;
  cursor: pointer;
}

.suggestion-item:hover {
  background-color: #f0f0f0;
}

.suggestion-warning {
  padding: 1vh 2vh;
  background: #fff3d1;
  opacity: 0.7;
  font-size: 1.8vh;
  margin: 0;
}

.suggestion-cat {
  margin: 0;
  opacity: 0.7;
  font-size: 1.8vh;
}

.suggestion-name {
  margin: 0;
  font-size: 2.2vh;
}

.suggestion-loading {
  margin: 0;
  opacity: 0.7;
  font-size: 1.8vh;
}

#logo {
  position: absolute;
  left: 2vh;
  bottom: 4vh;
  width: 20vw;
  height: auto;
}


#data-placeholder {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-around;
  opacity: 0.3;
}

#close {
  position: absolute;
  top: 0.7vh;
  right: 1vh;
  font-weight: bold;
  cursor: pointer;
}

#close:hover {
  text-decoration: underline;
}

.attribution {
  position: absolute;
  height: 2.3vh;
  width: 100%;
  bottom: 0px;
  background-color: white;
  z-index: 1000000;
  opacity: 0.5;
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 0.7vw;
}

#attribution-left {
  padding-left: 10px;
}

#attribution-right {
  padding-right: 10px;
}

#controls-container {
  margin: 2.5vh 0 0 1vw;
  display: flex;
  align-items: flex-start;
  justify-content: space-around;
  width: max-content;
  z-index: 100000;
}

/* #controls-container img { */
.controlImg {
  width: 4vh;
  height: auto;
  background-color: white;
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  margin: 0 1vh;
  cursor: pointer;
  border-radius: 1vh;
}

/* #controls-container img:hover { */
.controlImg:hover {
  background-color: #f5f5f5;
  box-shadow: 0 0 1vh rgb(0,0,0,0.4);
}

#monitor-table-container {
  font-size: 2vh;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

#monitor-table {
  display: flex;
  align-items: center;
}

#monitor-title {
  text-align: center;
}

.maplibregl-popup-content {
  width: max-content;
}

.monitor-col {
  width: max-content;
  background-color: #ECEDEC;
  border: 1px solid white;
  text-align: center;
}

.monitor-col p {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 1vh 0;
}

.monitor-col h4 {
  margin: 0;
  padding: 2vh;
}

.monitor-header {
  background-color: #458BC9;
  width: 100%;
  color: white;
  border: 1px solid white;
}

#filter-icon-dropdown {
  position: absolute;
  background-color: white;
  left: 9vh;
  top: 15vh;
  border-radius: 1vh;
  padding: 1.5vh;
  z-index: 1000;
  width: max-content;
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  display: none;
  font-size: 2vh;
  max-height: 70vh;
}

#filter-icon-form {
  display: flex;
  flex-direction: column;
}

#filter-icon-form label {
  margin: 1vh;
}

#filter-icon-form input {
  margin-right: 1.5vh;
  transform: scale(1.5);
  -webkit-transform: scale(1.5);
  cursor: pointer;
}

#proximity-icon-dropdown {
  position: absolute;
  background-color: white;
  left: 16vh;
  top: 15vh;
  border-radius: 1vh;
  padding: 1.5vh;
  z-index: 1000;
  width: max-content;
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  display: none;
  flex-direction: column;
  align-items: center;
}

#pdf-loading-container {
  display: none;
  position: absolute;
  left: 1vh;
  top: 7.5vh;
  background-color: white;
  border-radius: 1vh;
  height: 4vh;
  width: 21vw;
  font-size: 1.7vh;
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  display: flex;
  align-items: center;
  justify-content: space-around;
  /* animation: fadeInOut 1.5s infinite;
  animation-timing-function: cubic-bezier(0.65, 0.05, 0.36, 1); */
}

/* @keyframes fadeInOut {
  0%, 100% { box-shadow: 0 0 0.6vh rgb(0,0,0,0.2); }
  50% { box-shadow: 0 0 1vh rgb(0,0,0,0.6); }
} */

.slider-container {
  width: 300px;
}

.slider-label {
  margin-bottom: 10px;
  font-size: 2vh;
}

.slider-value {
  font-weight: bold;
}

#proximity-slider {
  transform: scale(1.2);
  -webkit-transform: scale(1.2);
  cursor: pointer;
}

#proximity-checkbox {
  transform: scale(1.5);
  -webkit-transform: scale(1.5);
  margin: 1vh;
}

#proximity-icon-dropdown label {
  font-size: 2.5vh;
  margin-bottom: 2vh;
}

.maplibregl-ctrl-group:not(:empty) {
    box-shadow: 0 0 1vh rgb(0, 0, 0, 0.2);
}

.checkDiv {
  display: flex;
  align-items: center;
}

.filterIcon {
  width: 3.5vh;
  height: auto;
  box-shadow: none;
}

#zoom-container {
  display: flex;
  flex-direction: column;
  align-items: baseline;
  box-shadow: 0 0 1vh rgb(0,0,0,0.2);
  margin: 0 1vh;
  cursor: pointer;
}

.zoom-button {
  margin: 0;
  background: white;
  font-size: 3vh;
  font-weight: bold;
  width: 4vh;
  height: 4vh;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.zoom-button:hover {
  background: #ededed;
}

#zoom-in {
  border-top-left-radius: 0.5vh;
  border-top-right-radius: 0.5vh;
  border-bottom: 1px solid lightgray;
}

#zoom-out {
  border-bottom-left-radius: 0.5vh;
  border-bottom-right-radius: 0.5vh;
}

@media screen and (max-width: 1024px) {
  #controls-container {
    margin: 2.5vh 0 0 0;
  }

  .controlImg {
    width: 2.5vw;
  }

  .zoom-button {
    width: 2.5vw;
    height: 2.5vw;
    font-size: 2vw;
  }

  #sf-container h1 {
    font-size: 1.2rem;
    margin-right: 1.5vh;
  }

  #filter-icon-form input {
    transform: scale(1);
    -webkit-transform: scale(1);
  }

  #filter-icon-dropdown {
    top: 18vh;
    left: 0;
    font-size: 2.5vh;
    overflow-y: scroll;
  }

  #proximity-icon-dropdown {
    top: 18vh;
    left: 6vh;
  }

  #proximity-slider {
    width: 80%;
  }

  .slider-label {
    font-size: 3vh;
  }

  #content-container {
    display: none;
    position: absolute;
    top: 4vh;
    left: 2.5vw;
    width: 95vw;
    max-width: 95vw;
    max-height: 89vh;
    padding: 2.5vh 0;
    z-index: 10000000000;
  }
}



@media screen and (max-width: 480px) {
  #controls-container {
    margin: 1.5vh 0 0 0;
  }

  .controlImg {
    width: 8vw;
  }

  .zoom-button {
    width: 8vw;
    height: 8vw;
    font-size: 2.5vh;
  }

  #sf-container {
    left: 4vw;
    top: 2vh;
    width: 88vw;
  }

  #sf-container h1 {
    font-size: 1.5vh;
  }

  #sf-bar img {
    margin: 1vh;
  }

  #search-container {
    padding: 0.5vh 0.5vh 0.5vh 1.5vh;
    justify-content: space-between;
  }

  #search-dropdown-container {
    height: 2vh;
    justify-content: space-between;
  }

  #search-container input[type="text"] {
    width: 40vw;
    font-size: 1.5vh;
  }

  #search-suggestion-container {
    font-size: 1.5vh;
  }

  #filter-dropdown {
    font-size: 1.5vh;
  }

  #results-container {
    width: 94%;
    max-height: 32vh;
  }

  .info-pair {
    width: 100%;
    font-size: 1.5vh;
  }

  .result-item {
    padding: 1vh 3vh;
    min-height: 3vh;
    max-height: 3vh;
    font-size: 1.5vh;
    border-left: 1px solid white;
    border-right: 1px solid white;
    border-bottom: 0.2vh solid #f5f5f5;
  }

  .result-header {
    font-size: 1.5vh;
  }

  #close {
    font-size: 1.5vh;
  }

  #middle-container select {
    padding: 1vh;
    font-size: 1.5vh;
  }

  #middle-container option {
    font-size: 1.5vh;
    text-align: center;
  }

  #data-placeholder {
    font-size: 1.5vh;
  }

  #filter-icon-dropdown {
    top: 12vh;
  }

  #filter-icon-form input {
    margin-right: 1.5vh;
    transform: scale(1.25);
    -webkit-transform: scale(1.25);
  }

  #filter-icon-form label {
    font-size: 1.7vh;
  }

  #proximity-icon-dropdown {
    top: 12vh;
  }

  #proximity-icon-dropdown input {
    transform: scale(1.25);
    -webkit-transform: scale(1.25);
  }

  #logo {
    position: absolute;
    left: 2vw;
    bottom: 2vh;
    width: 40vw;
    height: auto;
  }

  .attribution {
    height: 1.5vh;
    font-size: 0.6vh;
  }

  #monitor-title {
    font-size: 100%;
  }
}
